import React from 'react'
import { useDrag, useDrop } from 'react-dnd'
// import { Icon } from 'antd'

import asyncComponent from '@/utils/asyncComponent'

import './index.scss'

// const Home = asyncComponent(() => import('@/mob/home'))
const Login = asyncComponent(() => import('@/mob/login'))

const Card = ({ id, card, moveCard, findCard, editCard, delCard, hasDrop, doubleClickCard }) => {
  const originalIndex = findCard(id).index
  const [{ isDragging }, drag] = useDrag({
    item: { type: 'mob', id, originalIndex },
    collect: monitor => ({
      isDragging: monitor.isDragging(),
    }),
  })
  const [, drop] = useDrop({
    accept: 'mob',
    canDrop: () => true,
    drop: (item) => {
      if (!item.hasOwnProperty('originalIndex')) {
        hasDrop(card)
      }
    },
    hover({ id: draggedId }) {
      if (!draggedId) return
      if (draggedId !== id) {
        const { index: overIndex } = findCard(id)
        moveCard(draggedId, overIndex)
      }
    },
  })

  console.log(card)
  const style = isDragging ? { opacity: 0.3} : { opacity: 1}
  if (card.type === 'login') {
    style.height = '100%'
  }

  return (
    <div ref={node => drag(drop(node))} style={style}>
      <Login />
      {/* <div className="page-card">
        <Button
          className={'mk-btn mk-' + card.class}
          icon={card.icon}
          key={card.uuid}
          onDoubleClick={() => doubleClickCard(id)}
        >
          {card.label}{card.position === 'grid' && <Icon type="table" />}
        </Button>
      </div> */}
      {/* <Icon className="edit" title="edit" type="edit" onClick={() => editCard(id)} />
      <Icon className="edit close" title="close" type="close" onClick={() => delCard(id)} /> */}
    </div>
  )
}
export default Card
